import { RadialBaseChart } from "./RadialBaseChart";
import { ProportionalCategoryAngleAxis } from "./ProportionalCategoryAngleAxis";
import { NumericRadiusAxis } from "./NumericRadiusAxis";
import { PropertyChangedEventArgs, Type } from "igniteui-react-core";
import { PieChartSweepDirection } from "./PieChartSweepDirection";
import { CalloutCollisionMode } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { OthersCategoryType } from "igniteui-react-core";
import { AxisRangeBufferMode } from "./AxisRangeBufferMode";
import { RadialLabelMode } from "igniteui-react-core";
import { CollisionAvoidanceType } from "./CollisionAvoidanceType";
import { RadialBase } from "./RadialBase";
import { Series } from "./Series";
import { RadialPieSeries } from "./RadialPieSeries";
import { DataSeries } from "igniteui-react-core";
import { Axis } from "./Axis";
import { MarkerType } from "./MarkerType";
import { DataSeriesType } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class DataPieBaseChart extends RadialBaseChart {
    static $t: Type;
    constructor();
    protected ajd(a: (arg1: RadialBase) => void): void;
    protected aje(a: (arg1: RadialBase, arg2: number) => void): void;
    protected ajb(a: (arg1: RadialPieSeries) => void): void;
    protected ajc(a: (arg1: RadialPieSeries, arg2: number) => void): void;
    protected v4(): void;
    protected c0(a: Series, b: number): MarkerType;
    protected v2(a: DataSeries): void;
    protected g6(a: DataSeries): boolean;
    protected v5(): void;
    private agp;
    get angleAxis(): ProportionalCategoryAngleAxis;
    set angleAxis(a: ProportionalCategoryAngleAxis);
    private agj;
    get valueAxis(): NumericRadiusAxis;
    set valueAxis(a: NumericRadiusAxis);
    protected get_ag1(): boolean;
    protected get ag1(): boolean;
    protected da(a: DataSeries, b: DataSeriesType): Series;
    protected us(a: Series, b: number): void;
    private agv;
    protected za(): Axis;
    protected zb(): Axis;
    protected t3(): void;
    protected ajf(a: any, b: PropertyChangedEventArgs): void;
    protected ajg(a: any, b: PropertyChangedEventArgs): void;
    protected tx(a: Series, b: number): void;
    protected aeh(a: Axis): void;
    protected aef(a: Axis): void;
    protected vf(a: string, b: any, c: any): void;
    private ahz;
    get ais(): string;
    set ais(a: string);
    private af8;
    get agc(): any[];
    set agc(a: any[]);
    private ahv;
    get aic(): string;
    set aic(a: string);
    private af6;
    get aga(): any[];
    set aga(a: any[]);
    private ahx;
    get ail(): string;
    set ail(a: string);
    private af7;
    get agb(): any[];
    set agb(a: any[]);
    private ahu;
    get ah8(): string;
    set ah8(a: string);
    private af5;
    get af9(): any[];
    set af9(a: any[]);
    private ag7;
    get ahh(): number;
    set ahh(a: number);
    private agn;
    get ago(): PieChartSweepDirection;
    set ago(a: PieChartSweepDirection);
    private agf;
    get agg(): CalloutCollisionMode;
    set agg(a: CalloutCollisionMode);
    private aji;
    get ajk(): Brush;
    set ajk(a: Brush);
    private ajh;
    get ajj(): Brush;
    set ajj(a: Brush);
    private ah0;
    get ai8(): string;
    set ai8(a: string);
    private agl;
    get agm(): OthersCategoryType;
    set agm(a: OthersCategoryType);
    private ag8;
    get ahi(): number;
    set ahi(a: number);
    private ahw;
    get aih(): string;
    set aih(a: string);
    private aht;
    get ah6(): string;
    set ah6(a: string);
    private agy;
    get ag3(): boolean;
    set ag3(a: boolean);
    private agd;
    get age(): AxisRangeBufferMode;
    set age(a: AxisRangeBufferMode);
    private ag5;
    get ahf(): number;
    set ahf(a: number);
    private ag6;
    get ahg(): number;
    set ahg(a: number);
    private ahb;
    get ahn(): number;
    set ahn(a: number);
    private agz;
    get ag4(): boolean;
    set ag4(a: boolean);
    private ahr;
    get ahs(): number;
    set ahs(a: number);
    private ahd;
    get ahp(): number;
    set ahp(a: number);
    private ahc;
    get aho(): number;
    set aho(a: number);
    private ahe;
    get ahq(): number;
    set ahq(a: number);
    get ahm(): number;
    get ahl(): number;
    private ag9;
    get ahj(): number;
    set ahj(a: number);
    private aha;
    get ahk(): number;
    set ahk(a: number);
    private ahy;
    get aiq(): string;
    set aiq(a: string);
    private ags;
    get agu(): RadialLabelMode;
    set agu(a: RadialLabelMode);
    private agr;
    get agt(): RadialLabelMode;
    set agt(a: RadialLabelMode);
    private agw;
    get ag0(): boolean;
    set ag0(a: boolean);
    private agx;
    get ag2(): boolean;
    set ag2(a: boolean);
    private agh;
    get agi(): CollisionAvoidanceType;
    set agi(a: CollisionAvoidanceType);
}
